#!/bin/tcsh

# This script starts the UTAustinVilla03 coach. 
# Usage:   start.sh <host-name> <team-name>
#
# Example: start.sh                  default host and name
# Example: start.sh machine          coach on host 'machine'
# Example: start.sh localhost UTAV   coach on localhost and name 'UTAV'

set host   = "localhost"
set team   = "UTAustinVilla" 
set coach  = "./villa_coach"
set advice = "advice.cl"

echo "*************************************************************"
echo "* UT Austin Villa 2003 - University of Texas at Austin, USA *"
echo "* Team Members:                                             *"
echo "*   Gregory Kuhlmann                                        *" 
echo "*   Peter Stone                                             *" 
echo "*   Justin Lallinger                                        *" 
echo "* Copyright 2003.  All rights reserved.                     *"
echo "*************************************************************"

if( $#argv > 0 ) then
  @ second_last = $#argv - 1
  if( $#argv > 1 ) then
      set host = $argv[$second_last]
      set team = $argv[$#argv]
  else
      set host = $argv[$#argv]
  endif
endif

${coach} -host ${host} -team ${team} -r ${advice}


